### Virtual Method

# SpiceClientGLib UsbDeviceManager auto_connect_failed

#### Declaration [src]

    void
    auto_connect_failed (
      SpiceUsbDeviceManager* manager,
      SpiceUsbDevice* device,
      GError* error
    )

#### Description [src]

Signal class handler for the `SpiceUsbDeviceManager::auto-connect-failed` signal.

#### Parameters

`device`

  Type: `SpiceUsbDevice`

  No description available.

  The data is owned by the caller of the method.

`error`

  Type: `GError`

  No description available.

  The data is owned by the caller of the method.